org.apache.pdfbox.pdmodel.documentinterchange.taggedpdf

## Class PDExportFormatAttributeObject

- java.lang.Object
- - org.apache.pdfbox.pdmodel.common.PDDictionaryWrapper
  - - org.apache.pdfbox.pdmodel.documentinterchange.logicalstructure.PDAttributeObject
    - - org.apache.pdfbox.pdmodel.documentinterchange.taggedpdf.PDStandardAttributeObject
      - - org.apache.pdfbox.pdmodel.documentinterchange.taggedpdf.PDLayoutAttributeObject
        - - org.apache.pdfbox.pdmodel.documentinterchange.taggedpdf.PDExportFormatAttributeObject

All Implemented Interfaces:
  COSObjectable

    public class PDExportFormatAttributeObject
    extends PDLayoutAttributeObject

An Export Format attribute object.

Author:
  Johannes Koch

### Field Summary

Fields
`static String` `OWNER_CSS_1_00` standard attribute owner: CSS-1.00
`static String` `OWNER_CSS_2_00` standard attribute owner: CSS-2.00
`static String` `OWNER_HTML_3_20` standard attribute owner: HTML-3.2
`static String` `OWNER_HTML_4_01` standard attribute owner: HTML-4.01
`static String` `OWNER_OEB_1_00` standard attribute owner: OEB-1.00
`static String` `OWNER_RTF_1_05` standard attribute owner: RTF-1.05
`static String` `OWNER_XML_1_00` standard attribute owner: XML-1.00

### Fields inherited from class org.apache.pdfbox.pdmodel.documentinterchange.taggedpdf.PDLayoutAttributeObject

`BLOCK_ALIGN_AFTER, BLOCK_ALIGN_BEFORE, BLOCK_ALIGN_JUSTIFY, BLOCK_ALIGN_MIDDLE, BORDER_STYLE_DASHED, BORDER_STYLE_DOTTED, BORDER_STYLE_DOUBLE, BORDER_STYLE_GROOVE, BORDER_STYLE_HIDDEN, BORDER_STYLE_INSET, BORDER_STYLE_NONE, BORDER_STYLE_OUTSET, BORDER_STYLE_RIDGE, BORDER_STYLE_SOLID, GLYPH_ORIENTATION_VERTICAL_180_DEGREES, GLYPH_ORIENTATION_VERTICAL_270_DEGREES, GLYPH_ORIENTATION_VERTICAL_360_DEGREES, GLYPH_ORIENTATION_VERTICAL_90_DEGREES, GLYPH_ORIENTATION_VERTICAL_AUTO, GLYPH_ORIENTATION_VERTICAL_MINUS_180_DEGREES, GLYPH_ORIENTATION_VERTICAL_MINUS_90_DEGREES, GLYPH_ORIENTATION_VERTICAL_ZERO_DEGREES, HEIGHT_AUTO, INLINE_ALIGN_CENTER, INLINE_ALIGN_END, INLINE_ALIGN_START, LINE_HEIGHT_AUTO, LINE_HEIGHT_NORMAL, OWNER_LAYOUT, PLACEMENT_BEFORE, PLACEMENT_BLOCK, PLACEMENT_END, PLACEMENT_INLINE, PLACEMENT_START, RUBY_ALIGN_CENTER, RUBY_ALIGN_DISTRIBUTE, RUBY_ALIGN_END, RUBY_ALIGN_JUSTIFY, RUBY_ALIGN_START, RUBY_POSITION_AFTER, RUBY_POSITION_BEFORE, RUBY_POSITION_INLINE, RUBY_POSITION_WARICHU, TEXT_ALIGN_CENTER, TEXT_ALIGN_END, TEXT_ALIGN_JUSTIFY, TEXT_ALIGN_START, TEXT_DECORATION_TYPE_LINE_THROUGH, TEXT_DECORATION_TYPE_NONE, TEXT_DECORATION_TYPE_OVERLINE, TEXT_DECORATION_TYPE_UNDERLINE, WIDTH_AUTO, WRITING_MODE_LRTB, WRITING_MODE_RLTB, WRITING_MODE_TBRL`

### Fields inherited from class org.apache.pdfbox.pdmodel.documentinterchange.taggedpdf.PDStandardAttributeObject

`UNSPECIFIED`

### Constructor Summary

Constructors
Constructor and Description
`PDExportFormatAttributeObject(COSDictionary dictionary)` Creates a new ExportFormat attribute object with a given dictionary.
`PDExportFormatAttributeObject(String owner)` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getColSpan()` Gets the number of columns in the enclosing table that shall be spanned by the cell (ColSpan).
`String[]` `getHeaders()` Gets the headers (Headers).
`String` `getListNumbering()` Gets the list numbering (ListNumbering).
`int` `getRowSpan()` Gets the number of rows in the enclosing table that shall be spanned by the cell (RowSpan).
`String` `getScope()` Gets the scope (Scope).
`String` `getSummary()` Gets the summary of the table’s purpose and structure.
`void` `setColSpan(int colSpan)` Sets the number of columns in the enclosing table that shall be spanned by the cell (ColSpan).
`void` `setHeaders(String[] headers)` Sets the headers (Headers).
`void` `setListNumbering(String listNumbering)` Sets the list numbering (ListNumbering).
`void` `setRowSpan(int rowSpan)` Sets the number of rows in the enclosing table that shall be spanned by the cell (RowSpan).
`void` `setScope(String scope)` Sets the scope (Scope).
`void` `setSummary(String summary)` Sets the summary of the table’s purpose and structure.
`String` `toString()`

### Methods inherited from class org.apache.pdfbox.pdmodel.documentinterchange.taggedpdf.PDLayoutAttributeObject

`getBackgroundColor, getBaselineShift, getBBox, getBlockAlign, getBorderColors, getBorderStyle, getBorderThickness, getColor, getColumnCount, getColumnGap, getColumnWidths, getEndIndent, getGlyphOrientationVertical, getHeight, getInlineAlign, getLineHeight, getPadding, getPlacement, getRubyAlign, getRubyPosition, getSpaceAfter, getSpaceBefore, getStartIndent, getTBorderStyle, getTextAlign, getTextDecorationColor, getTextDecorationThickness, getTextDecorationType, getTextIndent, getTPadding, getWidth, getWritingMode, setAllBorderColors, setAllBorderStyles, setAllBorderThicknesses, setAllBorderThicknesses, setAllColumnWidths, setAllColumnWidths, setAllPaddings, setAllPaddings, setAllTBorderStyles, setAllTPaddings, setAllTPaddings, setBackgroundColor, setBaselineShift, setBaselineShift, setBBox, setBlockAlign, setBorderColors, setBorderStyles, setBorderThicknesses, setColor, setColumnCount, setColumnGap, setColumnGap, setColumnGaps, setColumnWidths, setEndIndent, setEndIndent, setGlyphOrientationVertical, setHeight, setHeight, setHeightAuto, setInlineAlign, setLineHeight, setLineHeight, setLineHeightAuto, setLineHeightNormal, setPaddings, setPlacement, setRubyAlign, setRubyPosition, setSpaceAfter, setSpaceAfter, setSpaceBefore, setSpaceBefore, setStartIndent, setStartIndent, setTBorderStyles, setTextAlign, setTextDecorationColor, setTextDecorationThickness, setTextDecorationThickness, setTextDecorationType, setTextIndent, setTextIndent, setTPaddings, setWidth, setWidth, setWidthAuto, setWritingMode`

### Methods inherited from class org.apache.pdfbox.pdmodel.documentinterchange.taggedpdf.PDStandardAttributeObject

`getArrayOfString, getColor, getColorOrFourColors, getInteger, getName, getName, getNameOrArrayOfName, getNumber, getNumber, getNumberOrArrayOfNumber, getNumberOrName, getString, isSpecified, setArrayOfName, setArrayOfNumber, setArrayOfString, setColor, setFourColors, setInteger, setName, setNumber, setNumber, setString`

### Methods inherited from class org.apache.pdfbox.pdmodel.documentinterchange.logicalstructure.PDAttributeObject

`arrayToString, arrayToString, create, getOwner, isEmpty, notifyChanged, potentiallyNotifyChanged, setOwner, setStructureElement`

### Methods inherited from class org.apache.pdfbox.pdmodel.common.PDDictionaryWrapper

`equals, getCOSObject, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### OWNER_XML_1_00

    public static final String OWNER_XML_1_00

standard attribute owner: XML-1.00

See Also:
  Constant Field Values

#### OWNER_HTML_3_20

    public static final String OWNER_HTML_3_20

standard attribute owner: HTML-3.2

See Also:
  Constant Field Values

#### OWNER_HTML_4_01

    public static final String OWNER_HTML_4_01

standard attribute owner: HTML-4.01

See Also:
  Constant Field Values

#### OWNER_OEB_1_00

    public static final String OWNER_OEB_1_00

standard attribute owner: OEB-1.00

See Also:
  Constant Field Values

#### OWNER_RTF_1_05

    public static final String OWNER_RTF_1_05

standard attribute owner: RTF-1.05

See Also:
  Constant Field Values

#### OWNER_CSS_1_00

    public static final String OWNER_CSS_1_00

standard attribute owner: CSS-1.00

See Also:
  Constant Field Values

#### OWNER_CSS_2_00

    public static final String OWNER_CSS_2_00

standard attribute owner: CSS-2.00

See Also:
  Constant Field Values

### Constructor Detail

#### PDExportFormatAttributeObject

    public PDExportFormatAttributeObject(String owner)

Default constructor.

Parameters:
  `owner` - the owner of the attributes

#### PDExportFormatAttributeObject

    public PDExportFormatAttributeObject(COSDictionary dictionary)

Creates a new ExportFormat attribute object with a given dictionary.

Parameters:
  `dictionary` - the dictionary

### Method Detail

#### getListNumbering

    public String getListNumbering()

Gets the list numbering (ListNumbering). The default value is `PDListAttributeObject.LIST_NUMBERING_NONE`.

Returns:
  the list numbering

#### setListNumbering

    public void setListNumbering(String listNumbering)

Sets the list numbering (ListNumbering). The value shall be one of the following:

- `PDListAttributeObject.LIST_NUMBERING_NONE`,
- `PDListAttributeObject.LIST_NUMBERING_DISC`,
- `PDListAttributeObject.LIST_NUMBERING_CIRCLE`,
- `PDListAttributeObject.LIST_NUMBERING_SQUARE`,
- `PDListAttributeObject.LIST_NUMBERING_DECIMAL`,
- `PDListAttributeObject.LIST_NUMBERING_UPPER_ROMAN`,
- `PDListAttributeObject.LIST_NUMBERING_LOWER_ROMAN`,
- `PDListAttributeObject.LIST_NUMBERING_UPPER_ALPHA`,
- `PDListAttributeObject.LIST_NUMBERING_LOWER_ALPHA`.

Parameters:
  `listNumbering` - the list numbering

#### getRowSpan

    public int getRowSpan()

Gets the number of rows in the enclosing table that shall be spanned by the cell (RowSpan). The default value is 1.

Returns:
  the row span

#### setRowSpan

    public void setRowSpan(int rowSpan)

Sets the number of rows in the enclosing table that shall be spanned by the cell (RowSpan).

Parameters:
  `rowSpan` - the row span

#### getColSpan

    public int getColSpan()

Gets the number of columns in the enclosing table that shall be spanned by the cell (ColSpan). The default value is 1.

Returns:
  the column span

#### setColSpan

    public void setColSpan(int colSpan)

Sets the number of columns in the enclosing table that shall be spanned by the cell (ColSpan).

Parameters:
  `colSpan` - the column span

#### getHeaders

    public String[] getHeaders()

Gets the headers (Headers). An array of byte strings, where each string shall be the element identifier (see the `PDStructureElement.getElementIdentifier()`) for a TH structure element that shall be used as a header associated with this cell.

Returns:
  the headers.

#### setHeaders

    public void setHeaders(String[] headers)

Sets the headers (Headers). An array of byte strings, where each string shall be the element identifier (see the `PDStructureElement.getElementIdentifier()`) for a TH structure element that shall be used as a header associated with this cell.

Parameters:
  `headers` - the headers

#### getScope

    public String getScope()

Gets the scope (Scope). It shall reflect whether the header cell applies to the rest of the cells in the row that contains it, the column that contains it, or both the row and the column that contain it.

Returns:
  the scope

#### setScope

    public void setScope(String scope)

Sets the scope (Scope). It shall reflect whether the header cell applies to the rest of the cells in the row that contains it, the column that contains it, or both the row and the column that contain it. The value shall be one of the following:

- `PDTableAttributeObject.SCOPE_ROW`,
- `PDTableAttributeObject.SCOPE_COLUMN`, or
- `PDTableAttributeObject.SCOPE_BOTH`.

Parameters:
  `scope` - the scope

#### getSummary

    public String getSummary()

Gets the summary of the table’s purpose and structure.

Returns:
  the summary

#### setSummary

    public void setSummary(String summary)

Sets the summary of the table’s purpose and structure.

Parameters:
  `summary` - the summary

#### toString

    public String toString()

Overrides:
  `toString` in class `PDLayoutAttributeObject`